Subject: bug#26058: utf16->string and utf32->string don't conform to R6RS

From: Andy Wingo <[email-masked]>
Date: Mon, 13 Mar 2017 14:03:14 +0100

On Sat 11 Mar 2017 13:19, [email-masked] ("Taylan Ulrich "Bayırlı/Kammer"") writes:

> See the R6RS Libraries document page 10.  The differences:
>
> - R6RS supports reading a BOM.
>
> - R6RS mandates an endianness argument to specify the behavior at the
>   absence of a BOM.
>
> - R6RS allows an optional third argument 'endianness-mandatory' to
>   explicitly ignore any possible BOM.
>
> Here's a quick patch on top of master.  I didn't test it thoroughly...

Hi,

this is a tricky area that is not so amenable to quick patches :) Have
you looked into what Guile already does for byte-order marks?  Can you
explain how the R6RS specification relates to this?

  https://www.gnu.org/software/guile/manual/html_node/BOM-Handling.html

Andy